Bug 1712623 (CVE-2019-9800) - CVE-2019-9800 Mozilla: Memory safety bugs fixed in Firefox 67 and Firefox ESR 60.7
Summary: CVE-2019-9800 Mozilla: Memory safety bugs fixed in Firefox 67 and Firefox ESR...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9800
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1714083 1714084 1714085 1709218 1709219 1709220 1709221 1709222 1714081 1714082
Blocks: 1709216 1714079
TreeView+ depends on / blocked
 
Reported: 2019-05-22 01:46 UTC by Doran Moppert
Modified: 2019-09-29 15:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:56:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1265 None None None 2019-05-23 15:32:40 UTC
Red Hat Product Errata RHSA-2019:1267 None None None 2019-05-23 15:48:25 UTC
Red Hat Product Errata RHSA-2019:1269 None None None 2019-05-23 16:07:37 UTC
Red Hat Product Errata RHSA-2019:1308 None None None 2019-06-03 21:14:53 UTC
Red Hat Product Errata RHSA-2019:1309 None None None 2019-06-03 21:15:06 UTC
Red Hat Product Errata RHSA-2019:1310 None None None 2019-06-03 21:15:23 UTC

Description Doran Moppert 2019-05-22 01:46:31 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 66 and Firefox ESR 60.6. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-14/#CVE-2019-9800

Comment 1 Doran Moppert 2019-05-22 01:46:33 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Olli Pettay, Bogdan Tara, Jan de Mooij, Jason Kratzer, Jan Varga, Gary Kwong, Tim Guan-tin Chien, Tyson Smith, Ronald Crane, Ted Campbell

Comment 2 errata-xmlrpc 2019-05-23 15:32:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1265 https://access.redhat.com/errata/RHSA-2019:1265

Comment 3 errata-xmlrpc 2019-05-23 15:48:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1267 https://access.redhat.com/errata/RHSA-2019:1267

Comment 4 errata-xmlrpc 2019-05-23 16:07:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1269 https://access.redhat.com/errata/RHSA-2019:1269

Comment 5 Doran Moppert 2019-05-29 06:24:13 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail, but it is potentially a risk in browser or browser-like contexts.

Comment 6 errata-xmlrpc 2019-06-03 21:14:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1308 https://access.redhat.com/errata/RHSA-2019:1308

Comment 7 errata-xmlrpc 2019-06-03 21:15:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1309 https://access.redhat.com/errata/RHSA-2019:1309

Comment 8 errata-xmlrpc 2019-06-03 21:15:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1310 https://access.redhat.com/errata/RHSA-2019:1310


Note You need to log in before you can comment on or make changes to this bug.